| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GaudiPython.Bindings.iNTupleSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iNTupleSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iNTupleSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, ints)
def | book (self, args)
def | defineOutput (self, files, typ="Gaudi::RootCnvSvc")
def | __getitem__ (self, path)
Public Member Functions inherited from GaudiPython.Bindings.iDataSvc
def | __init__ (self, name, idp)
def | registerObject (self, path, obj)
def | unregisterObject (self, path)
def | retrieveObject (self, path)
def | findObject (self, path)
| get object from TES More...
def | getObject (self, path, args)
| get or retrieve object, possible switch-off 'on-demand' actions More...
def | __getitem__ (self, path)
def | __setitem__ (self, path, obj)
def | __delitem__ (self, path)
def | leaves (self, node=None)
def | dump (self, node=None)
def | getList (self, node=None, lst=[], rootFID=None)
def | getHistoNames (self, node=None, lst=[])
def | setRoot (self, name, obj)
def | clearStore (self)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Public Attributes
| Output

## Static Public Attributes
int | RowWiseTuple = 42
int | ColumnWiseTuple = 43
Static Public Attributes inherited from GaudiPython.Bindings.iService
| initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
| start = lambdaself:self.__call_interface_method__("_isvc","start")
| stop = lambdaself:self.__call_interface_method__("_isvc","stop")
| finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_isvc","restart")

## Detailed Description

Definition at line 551 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iNTupleSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | ints
| ) |  |

Definition at line 554 of file Bindings.py.

554 def __init__(self, name, ints) :
555 self.__dict__['_ints'] = InterfaceCast(gbl.INTupleSvc)(ints)
556 iDataSvc.__init__(self, name, ints)
GaudiPython.Bindings.iNTupleSvc.__init__
def __init__(self, name, ints)
Definition: Bindings.py:554
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86

## Member Function Documentation

def GaudiPython.Bindings.iNTupleSvc.__getitem__ | ( |  | self,
|  |  | path
| ) |  |

Definition at line 570 of file Bindings.py.

570 def __getitem__ ( self, path ) :
571 return iDataSvc.__getitem__( self , path )
572
573
574 #----iToolSvc class---------------------------------------------------------------------
GaudiPython.Bindings.iNTupleSvc.__getitem__
def __getitem__(self, path)
Definition: Bindings.py:570

def GaudiPython.Bindings.iNTupleSvc.book | ( |  | self,
|  |  | args
| ) |  |

Definition at line 557 of file Bindings.py.

557 def book(self, *args) :
558 return apply(self._ints.book, args)
Gaudi::Functional::details::apply
constexpr void apply(const Fun &, Container &, Args...)
Definition: FunctionalDetails.h:444
GaudiPython.Bindings.iNTupleSvc.book
def book(self, args)
Definition: Bindings.py:557

def GaudiPython.Bindings.iNTupleSvc.defineOutput | ( |  | self,
|  |  | files,
|  |  | typ = `"Gaudi::RootCnvSvc"`
| ) |  |

    Defines the mapping between logical names and the output file
        Usage:
          defineOutput({'LUN1':'MyFile1.root', 'LUN2':'Myfile2.root'}, svc='Gaudi::RootCnvSvc')

Definition at line 559 of file Bindings.py.

559 def defineOutput(self, files, typ="Gaudi::RootCnvSvc"):
560 """ Defines the mapping between logical names and the output file
561 Usage:
562 defineOutput({'LUN1':'MyFile1.root', 'LUN2':'Myfile2.root'}, svc='Gaudi::RootCnvSvc')
563 """
564 import Persistency as prs
565 helper = prs.get(typ)
566 helper.configure(AppMgr())
567 self.Output = [helper.formatOutput(files[lun], lun=lun) for lun in files]
568 if AppMgr().HistogramPersistency == 'NONE':
569 AppMgr().HistogramPersistency = "ROOT"
GaudiPython.Bindings.iNTupleSvc.Output
Output
Definition: Bindings.py:567
GaudiPython.Bindings.iNTupleSvc.defineOutput
def defineOutput(self, files, typ="Gaudi::RootCnvSvc")
Definition: Bindings.py:559
GaudiPython.Bindings.AppMgr
Definition: Bindings.py:662

## Member Data Documentation

int GaudiPython.Bindings.iNTupleSvc.ColumnWiseTuple = 43
| static

Definition at line 553 of file Bindings.py.

GaudiPython.Bindings.iNTupleSvc.Output

Definition at line 567 of file Bindings.py.

int GaudiPython.Bindings.iNTupleSvc.RowWiseTuple = 42
| static

Definition at line 552 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py